package com.miya.print.exception;

import android.util.Printer;

/**
 * 打印异常定义
 */
public class PrinterException extends RuntimeException {

    /**
     * 错误码
     */
    int errCode;

    /**
     * 错误描述
     */
    String errDesc;

    public PrinterException(int errCode, String errDesc) {
        super(errDesc);
        this.errCode = errCode;
        this.errDesc = errDesc;
    }

    public int getErrCode() {
        return errCode;
    }

    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    public String getErrDesc() {
        return errDesc;
    }

    public void setErrDesc(String errDesc) {
        this.errDesc = errDesc;
    }

    @Override
    public String toString() {
        return "PrinterException{" +
                "errCode=" + errCode +
                ", errDesc='" + errDesc + '\'' +
                '}';
    }
}
